Get Action By Id
Retrieves all actions with a specific ID across all projects
ID of the action
Project ID of action (required for non-system actions)
Group results by project
Include actions from all projects
Page to fetch (starting from 0)
Amount of entities per page
Paged result of actions found
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
Unauthorized to make the request
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
Action not found
"Action Object"
name
metadata
runtime
source
entrypoint
description
inputs
memoryInMB
prePolyglotMemoryLimitInMB
showMemoryAlert
timeoutSeconds
dependencies
compressedContent
actionType
provider
contentId
configuration
system
shared
scalable
asyncDeployed
runtimeVersion
id
projectId
orgId
selfLink
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}?groupByProject=value&allProjects=v